* {
    box-sizing: border-box;
}
.wrapper {
    min-width: 1400px;
    margin: 0 auto;
    font-family: 'Cabin' sans-serif;
}
.header {
    position: sticky;
    top: 0;
    z-index: 1;
}
.top-header {
    background-color: #10BBD5;
    height: 72px;
    padding: 0px 52px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: #F8FDFE;
}
.logo {
    width: 132px;
    height: 28px;
}
.shopping-cart {
    display: flex;
    align-items: center;
}
.total-price {
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    margin-right: 8px;
}
.basket {
    display: inline-block;
    width: 40px;
    height: 40px;
    background: url('../img/cart_icon');
    border: none;
    cursor: pointer;
    position: relative;
}
.basket-counter {
    font-size: 12px;
    position: absolute;
    top: 10px;
    left: 20px;
}
.navigation {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 32px;
    padding: 0px 52px;
    background: #FFF;
}
.navigation-title {
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
}
.navigation-list {
    display: flex;
    justify-content: space-between;
    width: 295px;
}
.navigation-link {
    text-decoration: none;
    color: #000;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
}
.catalog {
    background-color: #EEEEEF;
}
.catalog-title {
    position: relative;
    padding: 32px 0 23px;
    color: #1F1F1F;
    font-size: 32px;
    font-weight: 600;
    line-height: 40px;
    margin: 0 52px;
}
.catalog-title::after {
    content: "";
    display: block;
    position: absolute;
    height: 1px;
    background: #A8A8A8;
    width: 100%;
    bottom: 0;
}
.catalog-box {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    justify-content: space-between;
    gap: 32px 18px;
    margin: 0 52px;
    padding: 24px 0 120px;
}
.catalog-card {
    padding: 32px;
    display: flex;
    flex-direction: column;
    background: #fff;
    height: 512px;
    width: 306px;
    position: relative;
}
.catalog-card:hover {
    transform: scale(1.01);
}
.card-image {
    display: block;
    width: auto;
    margin: 0 auto;
    height: 280px;
}
.card-name {
    color:#1F1F1F;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    font-size: 20px;
    font-weight: 700;
    line-height: 28px;
    margin-top: 16px;
}
.card-author {
    color:#8E8E8E;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    border-top: 1px solid #A8A8A8;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}
.card-price {
    margin-top: 8px;
    display: flex;
    gap: 24px;
    font-size: 24px;
    font-weight: 500;
    line-height: 32px;
}
.price-new {
    color: #E90000;
}
.price-old {
    color: #8E8E8E;
    text-decoration: line-through;
}
.card-btn {
    width: 242px;
	height: 40px;
	background-color: #4C394E;
	margin-top: 16px;
	color: #F8FDFE;
	font-size: 16px;
	padding: 8px 24px;
	border-radius: 4px;
	cursor: pointer;
}
.card-btn::before {
    content: "Add to basket";
}
.card-btn:hover {
    background-color: #744978;
    border: none;
}
.card-btn:active::before {
    content: "End up";
}
.card-btn:active {
    background-color: #4D762D;
    border: none;
	transition: 0.5s;
}
.card-btn:active:hover {
    background-color: #6DB236;;
}
.card-badge {
    position: absolute;
    top: 32px;
    left: 32px;
}
.card-badge span {
    padding: 4px 8px;
    border-radius: 4px;
    color: #F8FDFE;
    text-align: center;
    font-weight: 400;
    line-height: 24px;
}
.badge-new {
    background-color: #AF39E7;
}
.badge-hit {
    background-color: #4200FF;
}
.badge-sale {
    background-color: #EA33C0;
}
.footer {
    background-color: #4C394E;
    display: flex;
    justify-content: space-between;
    height: 88px;
    align-items: center;
    padding: 0 52px;
}
.footer p {
    color: #F8FDFE;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px; 
}
.chat-btn {
    width: 64px;
    height: 64px;
    background-image: url('../img/chat_icon.png');
    background-repeat: no-repeat;
    background-color: #10BBD5;
    background-position: center;
    border-radius: 100%;
    border: none;
    cursor: pointer;
    position: fixed;
    bottom: 88px;
    right: 30px;
    z-index: 1;
}